Clarify API
API ReferenceSchemas

Patch Enum Field Values

PATCH
/workspaces/{workspace}/schemas
Authorization<token>

API key authentication. Send your key in the Authorization header as: api-key <your-api-key>.

In: header

Path Parameters

workspace*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/workspaces/string/schemas" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "type": "schema-properties",        "id": "string",        "attributes": {          "property1": {},          "property2": {}        },        "meta": {          "property1": {},          "property2": {}        }      }    ]  }'
{
  "data": [
    {
      "id": "string",
      "type": "schema-validation-result",
      "attributes": {
        "isValid": true,
        "errors": [
          null
        ],
        "values": {
          "property1": null,
          "property2": null
        }
      }
    }
  ]
}